#3071 closed enhancement (fixed)

Create an interrupt server for every processor in the system

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Create an interrupt server for every processor in the system with a one-to-one thread processor affinity. This allows load balancing for interrupt processing. Add support routines to customize the setup after initialization.

Change History (9)

comment:1 Changed on Jul 12, 2017 at 6:02:08 AM by Sebastian Huber <sebastian.huber@…>

In e7ee719f/rtems:

Create one interrupt server per processor

This allows load balancing of interrupt processing in SMP
configurations.

Update #3071.

comment:2 Changed on Jul 12, 2017 at 6:02:20 AM by Sebastian Huber <sebastian.huber@…>

In a961e198/rtems:

Add interrupt server suspend/resume

This mechanism can be used to safely move the interrupt server from one
scheduler instance to another for example.

Update #3071.

comment:3 Changed on Jul 12, 2017 at 6:02:31 AM by Sebastian Huber <sebastian.huber@…>

In d184140/rtems:

Add interrupt server set affinity

Update #3071.

comment:4 Changed on Jul 12, 2017 at 6:02:43 AM by Sebastian Huber <sebastian.huber@…>

In ccc87c8b/rtems:

Add interrupt server move

Update #3071.

comment:5 Changed on Jul 12, 2017 at 6:02:56 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In af207fa9/rtems:

Add interrupt vector set/get affinity

Close #3071.

comment:6 Changed on Jul 12, 2017 at 8:57:38 AM by Sebastian Huber <sebastian.huber@…>

In e19da87/rtems:

bsps: Include missing header file

Update #3071.

comment:7 Changed on Jul 19, 2017 at 12:38:26 PM by Sebastian Huber <sebastian.huber@…>

In dcc3ccc/rtems:

bsps: Fix warning

Update #3071.

comment:8 Changed on Oct 10, 2017 at 6:25:19 AM by Sebastian Huber

Component: SMPbsps

comment:9 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.